Package com.io7m.jregions.core.parameterized.areas

# Class PAreaXYSplitF.Builder<S,​T extends PAreaFType<S>>

java.lang.Object
com.io7m.jregions.core.parameterized.areas.PAreaXYSplitF.Builder<S,​T>

Enclosing class:
  PAreaXYSplitF<S,​T extends PAreaFType<S>>

    public static final class PAreaXYSplitF.Builder<S,​T extends PAreaFType<S>>
    extends java.lang.Object

Builds instances of type `PAreaXYSplitF`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PAreaXYSplitF<S,​T>` | `build()` | Builds a new `PAreaXYSplitF`.
  `PAreaXYSplitF.Builder<S,​T>` | `from​(PAreaXYSplitFType<S,​T> instance)` | Fill a builder with attribute values from the provided `PAreaXYSplitFType` instance.
  `PAreaXYSplitF.Builder<S,​T>` | `setX0y0​(T x0y0)` | Initializes the value for the `x0y0` attribute.
  `PAreaXYSplitF.Builder<S,​T>` | `setX0y1​(T x0y1)` | Initializes the value for the `x0y1` attribute.
  `PAreaXYSplitF.Builder<S,​T>` | `setX1y0​(T x1y0)` | Initializes the value for the `x1y0` attribute.
  `PAreaXYSplitF.Builder<S,​T>` | `setX1y1​(T x1y1)` | Initializes the value for the `x1y1` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PAreaXYSplitF.Builder<S,​T> from​(PAreaXYSplitFType<S,​T> instance)
    Fill a builder with attribute values from the provided `PAreaXYSplitFType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y0

    public final PAreaXYSplitF.Builder<S,​T> setX0y0​(T x0y0)
    Initializes the value for the `x0y0` attribute.
    Parameters:
      `x0y0` - The value for x0y0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y0

    public final PAreaXYSplitF.Builder<S,​T> setX1y0​(T x1y0)
    Initializes the value for the `x1y0` attribute.
    Parameters:
      `x1y0` - The value for x1y0
    Returns:
      `this` builder for use in a chained invocation

  - ### setX0y1

    public final PAreaXYSplitF.Builder<S,​T> setX0y1​(T x0y1)
    Initializes the value for the `x0y1` attribute.
    Parameters:
      `x0y1` - The value for x0y1
    Returns:
      `this` builder for use in a chained invocation

  - ### setX1y1

    public final PAreaXYSplitF.Builder<S,​T> setX1y1​(T x1y1)
    Initializes the value for the `x1y1` attribute.
    Parameters:
      `x1y1` - The value for x1y1
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PAreaXYSplitF<S,​T> build()
    Builds a new `PAreaXYSplitF`.
    Returns:
      An immutable instance of PAreaXYSplitF
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing